#include "git_info_p.hpp"
#include "config_p.hpp"

#include <iostream>
#include <boost/range/counting_range.hpp>

int32_t nsum( int32_t i = 0 )
{
	int32_t s = 0;

	for ( auto r: boost::counting_range( 1, i ) ) s += r;
	return( s );
}


int main( int argc, char* argv [[gnu::unused]][] )
{
	// Значение из config_p.hpp
	std::cout << "Build date:   " << BUILD_DATE << std::endl;
	// Значение из git_info_p.hpp
	std::cout << "Git revision: " << GIT_REV << std::endl;

	auto s = nsum( argc );

	std::cout << s << std::endl;

	return ( 0 );
}
